dubbo:
  application:
    name: dubbo-tenant.backend.task
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
  protocol:
    name: dubbo
    port: -1
    token: false
spring:
  application:
    name: tenant.backend.task
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    properties:
      hibernate:
        enable_lazy_load_no_trans: true
  profiles:
    active: test-in-ws
  main:
    allow-bean-definition-overriding: true
  kafka:
    consumer:
      auto-offset-reset: earliest
      enable-auto-commit: false
      group-id: tenant-kafka-consumer-group-v2
      fetch-max-wait: 1s
      fetch-min-size: 512B
    admin:
      fail-fast: true
    listener:
      ack-mode: manual_immediate
      concurrency: 2
    retry:
      topic:
        delay: 2
        attempts: 5
logging:
  level:
    root: error
  config: classpath:log4j2.xml
###hn地区审计日志上传开关,设置为”-“既不执行。
hunan:
  logReport: "-"

# 定时任务配置
scheduled:
  cron:
    delete-department: "-"